## argtable2 6

=== example/Makefile ===
#######################################################################
# This file is part of the argtable2 library.
# Copyright (C) 1998-2001,2003-2006 Stewart Heitmann
# sheitmann@users.sourceforge.net
#
# The argtable2 library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This software is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.
#######################################################################
#
#SHELL  = /bin/sh

#the default make rule for compiling C source code is
# xxx.o xxx.c:
#   $(CC) -c $(CFLAGS) -o xxx.o xxx.c


CC        = gcc
#add the -static switch to CFLAGS to force static linking if desired
CFLAGS    += -I/usr/local/include -g -Wall
LDFLAGS   += -L/usr/local/lib
#LDLIBS    += -largtable2 -Wl,-rpath=/usr/local/lib
LDLIBS    += -largtable2

TARGETS = uname rm mv echo ls myprog myprog_C89 multisyntax argcustom callbacks hasoptvalue

all: $(TARGETS)

argcustom: argcustom.o argxxx.o
	  $(CC) $(LDFLAGS) argcustom.o argxxx.o -o $@ $(LDLIBS)

clean:
	rm -f core core.* *.o *~ $(TARGETS)

distclean: clean
	rm -f Makefile

## argtable2 7

=== example/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #######################################################################
 # This file is part of the argtable2 library.
-# Copyright (C) 1998-2001,2003-2006 Stewart Heitmann
+# Copyright (C) 1998-2001,2003-2007 Stewart Heitmann
 # sheitmann@users.sourceforge.net
 #
 # The argtable2 library is free software; you can redistribute it and/or

## argtable2 9

=== example/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #######################################################################
 # This file is part of the argtable2 library.
-# Copyright (C) 1998-2001,2003-2007 Stewart Heitmann
+# Copyright (C) 1998-2001,2003-2008 Stewart Heitmann
 # sheitmann@users.sourceforge.net
 #
 # The argtable2 library is free software; you can redistribute it and/or

## argtable2 12

=== example/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #######################################################################
 # This file is part of the argtable2 library.
-# Copyright (C) 1998-2001,2003-2008 Stewart Heitmann
+# Copyright (C) 1998-2001,2003-2010 Stewart Heitmann
 # sheitmann@users.sourceforge.net
 #
 # The argtable2 library is free software; you can redistribute it and/or
@@ -28,9 +28,7 @@
 
 CC        = gcc
 #add the -static switch to CFLAGS to force static linking if desired
-CFLAGS    += -I/usr/local/include -g -Wall
-LDFLAGS   += -L/usr/local/lib
-#LDLIBS    += -largtable2 -Wl,-rpath=/usr/local/lib
+CFLAGS    += -I/usr/local/include -g
 LDLIBS    += -largtable2
 
 TARGETS = uname rm mv echo ls myprog myprog_C89 multisyntax argcustom callbacks hasoptvalue

=== debian/changelog ===
argtable2 (12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #727322)

 -- Chen Baozi <baozich@gmail.com>  Tue, 03 Jun 2014 14:48:59 +0800

argtable2 (12-1) unstable; urgency=low

  * New upstream version
  * Upgraded the Debian policy to 3.9.1.0 
  * Change the debhelper compatibility level to V8
  * Various Lintian cleanups
  * Reduce debian/rules to rely on debhelper more (Closes: #488585)

 -- Shachar Shemesh <shachar@debian.org>  Sun, 22 Aug 2010 16:33:24 +0300

argtable2 (9-1) unstable; urgency=low

  * New upstream version.

 -- Shachar Shemesh <shachar@debian.org>  Wed, 07 May 2008 19:54:52 +0000

argtable2 (7-2) unstable; urgency=low

  * argtable2 - FTBFS: No rule to make target `distclean&#39;.  Stop.
    (Closes: #451899)

 -- Shachar Shemesh <shachar@debian.org>  Mon, 19 Nov 2007 13:00:52 +0200

argtable2 (7-1) unstable; urgency=low

  * New upstream release

 -- Shachar Shemesh <shachar@debian.org>  Sun, 18 Nov 2007 09:39:23 +0200

argtable2 (6-3) unstable; urgency=low

  * Update maintainer's email address (now a Debian Developer)
  * Update the policy version to 3.7.2 (no changes required)

 -- Shachar Shemesh <shachar@debian.org>  Sun, 18 Nov 2007 09:38:40 +0200

argtable2 (6-2) unstable; urgency=low

  * Update the FSF address.
  * Move the tared examples to /usr/share/doc/libardtable2-dev
  * Remove no longer needed delete of upstream erronous binary file
  * Fix hyphens as minuses in man page

 -- Shachar Shemesh <debianpkg@shemesh.biz>  Sun, 12 Mar 2006 11:08:34 +0000

argtable2 (6-1) unstable; urgency=low

  * New upstream version
  * Change the watch file to read directly from sourceforge (requires uscan
    protocol version 3)

 -- Shachar Shemesh <debianpkg@shemesh.biz>  Sun, 12 Feb 2006 10:47:04 +0000

argtable2 (5-1) unstable; urgency=low

  * New upstream version
  * Upstream moved to standard versioning and libtool.
  * Implement
    http://lists.debian.org/debian-devel-announce/2005/11/msg00016.html

 -- Shachar Shemesh <debianpkg@shemesh.biz>  Sat, 11 Feb 2006 22:08:29 +0000

argtable2 (2.4-2) unstable; urgency=low

  * Fix a memory overwrite if too many errors happen (patch from upstream)
  * Update Debian policy version to 3.6.2

 -- Shachar Shemesh <debianpkg@shemesh.biz>  Wed,  7 Sep 2005 12:28:43 +0300

argtable2 (2.4-1) unstable; urgency=low

  * Initial Release. (closes: #306755)
  * Added an SONAME to the library
  * Changed name from libargtable2.so.x (where x is the version, x=4 for 2.4)
    to libargtable2.so.0. This was done to make sure things don't break as a
    result of the addition of SONAME to the library, and with some
    coordination with upstream (who does not want to add SONAME there at this
    point).

 -- Shachar Shemesh <debianpkg@shemesh.biz>  Sun, 29 May 2005 12:07:07 +0300

=== debian/control ===
Source: argtable2
Priority: optional
Maintainer: Shachar Shemesh <shachar@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf
Standards-Version: 3.9.1.0
Homepage: http://argtable.sourceforge.net
Section: libs

Package: libargtable2-dev
Section: libdevel
Architecture: any
Depends: libargtable2-0 (= ${binary:Version}), libargtable2-docs (= ${source:Version}), ${misc:Depends}
Conflicts: argtable2, argtable
Description: A library for parsing GNU style command line arguments
 Argtable is an ANSI C library for parsing GNU style command line arguments.
 It enables a program's command line syntax to be defined in the source code as
 an array of argtable structs. The command line is then parsed according to that
 specification and the resulting values are returned in those same structs where
 they are accessible to the main program. Both tagged (-v, --verbose, --foo=bar)
 and untagged arguments are supported, as are multiple instances of each
 argument. Syntax error handling is automatic and the library also provides the
 means for displaying the command line syntax directly from the array of
 argument specifications.
 .
 argtable can function as a "getopt_long" replacement, without the user of the
 program noticing the difference. Unlike "getopt_long", however, argtable is
 cross platform, working on all Posix systems, as well as Windows and Mac.
 .
 This package contains the files needed to develop applications that use
 argtable.

Package: libargtable2-docs
Section: doc
Architecture: all
Suggests: libargtable2-dev (= ${source:Version})
Depends: ${misc:Depends}
Description: A library for parsing GNU style command line arguments
 Argtable is an ANSI C library for parsing GNU style command line arguments.
 It enables a program's command line syntax to be defined in the source code as
 an array of argtable structs. The command line is then parsed according to that
 specification and the resulting values are returned in those same structs where
 they are accessible to the main program. Both tagged (-v, --verbose, --foo=bar)
 and untagged arguments are supported, as are multiple instances of each
 argument. Syntax error handling is automatic and the library also provides the
 means for displaying the command line syntax directly from the array of
 argument specifications.
 .
 This package contains the documentation for the development libraries for the
 libargtable2-dev package.

Package: libargtable2-0
Conflicts: argtable2, argtable
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A library for parsing GNU style command line arguments
 Argtable is an ANSI C library for parsing GNU style command line arguments.
 It enables a program's command line syntax to be defined in the source code as
 an array of argtable structs. The command line is then parsed according to that
 specification and the resulting values are returned in those same structs where
 they are accessible to the main program. Both tagged (-v, --verbose, --foo=bar)
 and untagged arguments are supported, as are multiple instances of each
 argument. Syntax error handling is automatic and the library also provides the
 means for displaying the command line syntax directly from the array of
 argument specifications.
 .
 argtable can function as a "getopt_long" replacement, without the user of the
 program noticing the difference. Unlike "getopt_long", however, argtable is
 cross platform, working on all Posix systems, as well as Windows and Mac.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Shared library version
major=0

%:
	dh $@ --with autoreconf

clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	dh clean

install:
	dh install
	mv $(CURDIR)/debian/tmp/usr/share/doc/argtable2 $(CURDIR)/debian/tmp/usr/share/doc/libargtable2-dev

binary-indep:
	tar cvzf debian/libargtable2-dev/usr/share/doc/libargtable2-dev/examples.tar.gz example/*.c example/*.h \
		example/README.txt example/Makefile
	dh binary-indep

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=3

http://sf.net/argtable/argtable2-([^-_]*)\.tar\.gz

## argtable2 13

=== CMakeLists.txt ===
PROJECT( argtable2 )

# CMake-specifics
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
	cmake_policy(SET CMP0015 NEW)
endif(COMMAND cmake_policy)

OPTION( HAVE_GETOPT_H "Have the getopt library" 0 )
IF( HAVE_GETOPT_H )
	ADD_DEFINITIONS( -DHAVE_GETOPT_H )
ENDIF( HAVE_GETOPT_H )

OPTION( HAVE_INTTYPES_H "Have the file inttypes.h" 1 )
IF( HAVE_INTTYPES_H )
	ADD_DEFINITIONS( -DHAVE_INTTYPES_H )
ENDIF( HAVE_INTTYPES_H )

OPTION( HAVE_MEMORY_H "Have the file memory.h" 1 )
IF( HAVE_MEMORY_H )
	ADD_DEFINITIONS( -DHAVE_MEMORY_H )
ENDIF( HAVE_MEMORY_H )

OPTION( HAVE_STDLIB_H "Have the file stdlib.h" 1 )
IF( HAVE_STDLIB_H )
	ADD_DEFINITIONS( -DHAVE_STDLIB_H )
ENDIF( HAVE_STDLIB_H )

OPTION( HAVE_STRINGS_H "Have the strings.h" 0 )
IF( HAVE_STRINGS_H )
	ADD_DEFINITIONS( -DHAVE_STRINGS_H )
ENDIF( HAVE_STRINGS_H )

OPTION( HAVE_STRING_H "Have the file string.h" 1 )
IF( HAVE_STRING_H )
	ADD_DEFINITIONS( -DHAVE_STRING_H )
ENDIF( HAVE_STRING_H )

OPTION( HAVE_STDC_HEADERS "Have std C header files" 1 )
IF( HAVE_STDC_HEADERS )
	ADD_DEFINITIONS( -DSTDC_HEADERS )
ENDIF( HAVE_STDC_HEADERS )

ADD_SUBDIRECTORY( src )

=== example/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #######################################################################
 # This file is part of the argtable2 library.
-# Copyright (C) 1998-2001,2003-2010 Stewart Heitmann
+# Copyright (C) 1998-2001,2003-2011 Stewart Heitmann
 # sheitmann@users.sourceforge.net
 #
 # The argtable2 library is free software; you can redistribute it and/or

=== debian/changelog ===
argtable2 (13-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add multiarch annotations. (Closes: #1101321)

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Mar 2025 21:45:10 +0100

argtable2 (13-3) unstable; urgency=medium

  * Demote libargtable2-docs to Suggests
    Closes: #876665
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2024 07:17:45 +0100

argtable2 (13-2) unstable; urgency=medium

  [ Étienne Mollier ]
  * Fix multiple implicit function declarations.
    Closes: #1066377

  [ Andreas Tille ]
  * Salvage package to Debian Med team maintenance which requires
    specifying a new real maintainer
    Closes: #1068561
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Fix dh_missing
  * Drop unneeded debian/autoreconf.* files
  * Add debian/salsa-ci.yml

 -- Andreas Tille <tille@debian.org>  Sun, 07 Apr 2024 20:41:31 +0200

argtable2 (13-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:15:04 +0100

argtable2 (13-1) unstable; urgency=medium

  * New upstream version
  * Add hardening flags to build
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b argtable2-12
    gave error exit status 2" bug irrelevant after package update
    (Closes: #643048)
  * Fix "FTBFS when built with dpkg-buildpackage -A (No such file or
    directory)" debian/rules changed to only use dh (Closes: #805995)
  * Update the copyright file to machine readable format
  * Update policy to 3.9.8.0

 -- Shachar Shemesh <shachar@debian.org>  Sat, 16 Jul 2016 20:45:15 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,24 @@
 Source: argtable2
 Priority: optional
-Maintainer: Shachar Shemesh <shachar@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.1.0
-Homepage: http://argtable.sourceforge.net
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Shachar Shemesh <shachar@debian.org>,
+           Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.7.2
+Homepage: https://argtable.sourceforge.net
+Vcs-Browser: https://salsa.debian.org/med-team/argtable2
+Vcs-Git: https://salsa.debian.org/med-team/argtable2.git
+Rules-Requires-Root: no
 Section: libs
 
 Package: libargtable2-dev
 Section: libdevel
 Architecture: any
-Depends: libargtable2-0 (= ${binary:Version}), libargtable2-docs (= ${source:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends: libargtable2-0 (= ${binary:Version}), ${misc:Depends}
+Suggests: libargtable2-docs (= ${source:Version})
 Conflicts: argtable2, argtable
-Description: A library for parsing GNU style command line arguments
+Description: Library for parsing GNU style command line arguments (development headers)
  Argtable is an ANSI C library for parsing GNU style command line arguments.
  It enables a program's command line syntax to be defined in the source code as
  an array of argtable structs. The command line is then parsed according to that
@@ -32,9 +39,10 @@
 Package: libargtable2-docs
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Suggests: libargtable2-dev (= ${source:Version})
 Depends: ${misc:Depends}
-Description: A library for parsing GNU style command line arguments
+Description: Library for parsing GNU style command line arguments (documentation)
  Argtable is an ANSI C library for parsing GNU style command line arguments.
  It enables a program's command line syntax to be defined in the source code as
  an array of argtable structs. The command line is then parsed according to that
@@ -51,8 +59,9 @@
 Package: libargtable2-0
 Conflicts: argtable2, argtable
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A library for parsing GNU style command line arguments
+Description: Library for parsing GNU style command line arguments
  Argtable is an ANSI C library for parsing GNU style command line arguments.
  It enables a program's command line syntax to be defined in the source code as
  an array of argtable structs. The command line is then parsed according to that

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Shared library version
major=0
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

=== debian/watch ===
version=4

http://sf.net/argtable/argtable2-([^-_]*)\.tar\.gz
